com.dlsc.flexgantt.model.gantt

## Enum RelationshipType

- java.lang.Object
- - java.lang.Enum<RelationshipType>
  - - com.dlsc.flexgantt.model.gantt.RelationshipType

- All Implemented Interfaces:
    Serializable, Comparable<RelationshipType>

      public enum RelationshipType
      extends Enum<RelationshipType>

  An enumerator listing the four basic relationship types used by most planning applications.
  Since:
    2.0
  Author:
    Dirk Lemmermann

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `END_TO_END` Creates a relationship between the end time of the predecessor timeline object and the end time of the successor timeline object.
    `END_TO_START` Creates a relationship between the end time of the predecessor timeline object and the start time of the successor timeline object.
    `START_TO_END` Creates a relationship between the start time of the predecessor timeline object and the end time of the successor timeline object.
    `START_TO_START` Creates a relationship between the start time of the predecessor timeline object and the start time of the successor timeline object.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RelationshipType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RelationshipType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### END_TO_START

          public static final RelationshipType END_TO_START

      Creates a relationship between the end time of the predecessor timeline object and the start time of the successor timeline object.
      Since:
        2.0

    - #### START_TO_END

          public static final RelationshipType START_TO_END

      Creates a relationship between the start time of the predecessor timeline object and the end time of the successor timeline object.
      Since:
        2.0

    - #### START_TO_START

          public static final RelationshipType START_TO_START

      Creates a relationship between the start time of the predecessor timeline object and the start time of the successor timeline object.
      Since:
        2.0

    - #### END_TO_END

          public static final RelationshipType END_TO_END

      Creates a relationship between the end time of the predecessor timeline object and the end time of the successor timeline object.
      Since:
        2.0

  - ### Method Detail

    - #### values

          public static RelationshipType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RelationshipType c : RelationshipType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RelationshipType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.